Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-216

Open Source and release the toolchain

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Won't Do
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Build Automation
    • Labels:
      None
    • CS Priority:
      Reviewed

      Description

      It would be great if you would release the buildchain used to build facter 3.x on EL (Spec files), to enable community rebuild of the buildchain and the facter package.

      https://github.com/puppetlabs/facter/blob/a8b1cc4e481c3acc179eb1c70b3706af8998df22/ext/redhat/facter.spec.erb#L36-L41

      BuildRequires:  pl-gcc >= 4.8.2-4
      BuildRequires:  pl-cmake >= 3.2.2-1
      BuildRequires:  pl-libboost-devel >= 1.55.0-4
      BuildRequires:  pl-libboost-static >= 1.55.0-4
      BuildRequires:  pl-libyaml-cpp-devel >= 0.5.1-5
      BuildRequires:  pl-libyaml-cpp-static >= 0.5.1-5
      

      The problem is that the toolchain is EVERYWHERE in the puppet-agent github project. It is really hard to do without it.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                roidelapluie Julien Pivotto
              • Votes:
                4 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support